% data import
height=17; % height of sensors in cm
Hs=14; %initial sediment height in cm
xyzdata = xlsread('test 07_01_01');
x=xyzdata(:,1);
y=xyzdata(:,2);
z=xyzdata(:,3);
z=(height-z)./100;

%% to assign new xy values as measured in the flume
%<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
%new_xy=xlsread('new_xy.xlsx');
%x=new_xy(:,1);
%y=new_xy(:,2);
%>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>

%% assigning zero to negative z values
tempindex=z<0;
z(tempindex)=0;

tempindex1=z>Hs/100; %this value depends on initial sediment height
z(tempindex1)=Hs/100;

x=x*1000;
y=y*1000;
z=z*1000;
%% define corner points of the data region
%otherwise volume calculation will give NaN
x(1:4)=[0 600 0 600];
y(1:4)=[0 0 -250 -250];

%%

plot3(x,y,z,'.');
axis equal
interpZ=@(xi,yi) griddata(x,y,z,xi,yi,'natural');

vol=abs(quad2d(interpZ,0,600,0,-250))



